nl.tudelft.simulation.dsol.tutorial.section43

## Class Population

- java.lang.Object
- - nl.tudelft.simulation.event.EventProducer
  - - nl.tudelft.simulation.jstats.ode.DifferentialEquation
    - - nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation<Double,Double,SimTimeDouble>
      - - nl.tudelft.simulation.dsol.tutorial.section43.Population

All Implemented Interfaces:
  Serializable, EventListener, EventListenerInterface, EventProducerInterface, DifferentialEquationInterface

    public class Population
    extends DifferentialEquation<Double,Double,SimTimeDouble>

The population differential equation.

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Since:
  1.5
Author:
  Peter Jacobs
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation

`previousX, previousY, simulator`

### Fields inherited from class nl.tudelft.simulation.jstats.ode.DifferentialEquation

`timeStep, x0, y0`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquationInterface

`FUNCTION_CHANGED_EVENT, VALUE_CHANGED_EVENT`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Constructor Summary

Constructors
Constructor and Description
`Population(DESSSimulatorInterface.TimeDouble simulator)` constructs a new Population.

### Method Summary

All Methods Instance Methods Concrete Methods
`double[]` `dy(double time, double[] y)`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation

`initialize, notify`

### Methods inherited from class nl.tudelft.simulation.jstats.ode.DifferentialEquation

`getIntegrator, integrateY, setIntegrator, y`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.jstats.ode.DifferentialEquationInterface

`y`

### Constructor Detail

#### Population

    public Population(DESSSimulatorInterface.TimeDouble simulator)
               throws RemoteException

constructs a new Population.

Parameters:
  `simulator` - DESSSimulatorInterface.TimeDouble; the simulator
Throws:
  `RemoteException` - on networn error for the listeners

### Method Detail

#### dy

    public final double[] dy(double time,
                             double[] y)